package com.sun.xml.internal.ws.api.databinding;

import com.sun.xml.internal.ws.db.DatabindingFactoryImpl;
import java.util.Map;
import com.oracle.webservices.internal.api.databinding.Databinding;

public abstract class DatabindingFactory extends com.oracle.webservices.internal.api.databinding.DatabindingFactory
{
    static final String ImplClass;
    
    public DatabindingFactory() {
    }
    
    public abstract Databinding createRuntime(DatabindingConfig p0);
    
    public abstract Map<String, Object> properties();
    
    public static DatabindingFactory newInstance() {
        try {
            Class<?> cls = Class.forName(DatabindingFactory.ImplClass);
            return (DatabindingFactory)cls.newInstance();
        }
        catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
    
    static {
        ImplClass = DatabindingFactoryImpl.class.getName();
    }
}
